org.apache.activemq.artemis.jms.server

## Class ActiveMQJMSServerLogger_$logger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger
  - - org.apache.activemq.artemis.jms.server.ActiveMQJMSServerLogger_$logger

- All Implemented Interfaces:
    Serializable, ActiveMQJMSServerLogger, org.jboss.logging.BasicLogger

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2021-10-11T13:53:29-0500")
      public class ActiveMQJMSServerLogger_$logger
      extends org.jboss.logging.DelegatingBasicLogger
      implements ActiveMQJMSServerLogger, org.jboss.logging.BasicLogger, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

      `log`

    - ### Fields inherited from interface org.apache.activemq.artemis.jms.server.ActiveMQJMSServerLogger

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQJMSServerLogger_$logger(org.jboss.logging.Logger log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindingsUnbindError(Exception e, String key)`
    `protected String` | `bindingsUnbindError$str()`
    `void` | `failedToCorrectHost(Exception e, String name)`
    `protected String` | `failedToCorrectHost$str()`
    `void` | `failedToDeactivateServer(Exception e)`
    `protected String` | `failedToDeactivateServer$str()`
    `void` | `failedToSendNotification(String notification)`
    `protected String` | `failedToSendNotification$str()`
    `protected Locale` | `getLoggingLocale()`
    `void` | `invalidHostForConnector(String name, String newHost)`
    `protected String` | `invalidHostForConnector$str()`
    `void` | `jmsConfigMissingKey(Node e)`
    `protected String` | `jmsConfigMissingKey$str()`
    `void` | `jmsDeployerStartError(Exception e)`
    `protected String` | `jmsDeployerStartError$str()`
    `void` | `jmsServerError(Exception e)`
    `protected String` | `jmsServerError$str()`
    `void` | `noQueueOnTopic(String queueName, String name)`
    `protected String` | `noQueueOnTopic$str()`
    `void` | `recoveryConnectFailed(String s)`
    `protected String` | `recoveryConnectFailed$str()`
    `void` | `serverCachingCommand(Object runnable)`
    `protected String` | `serverCachingCommand$str()`
    `void` | `serverRunningCachedCommand(Runnable run)`
    `protected String` | `serverRunningCachedCommand$str()`
    `void` | `xaRecoverConnectionError(Exception e, ClientSessionFactory csf)`
    `protected String` | `xaRecoverConnectionError$str()`
    `void` | `xaRecoverError(Exception e)`
    `protected String` | `xaRecoverError$str()`
    `void` | `xaRecoveryError(Exception e)`
    `protected String` | `xaRecoveryError$str()`

    - ### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Constructor Detail

    - #### ActiveMQJMSServerLogger_$logger

          public ActiveMQJMSServerLogger_$logger(org.jboss.logging.Logger log)

  - ### Method Detail

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### serverCachingCommand

          public final void serverCachingCommand(Object runnable)

      Specified by:
        `serverCachingCommand` in interface `ActiveMQJMSServerLogger`

    - #### serverCachingCommand$str

          protected String serverCachingCommand$str()

    - #### invalidHostForConnector

          public final void invalidHostForConnector(String name,
                                                    String newHost)

      Specified by:
        `invalidHostForConnector` in interface `ActiveMQJMSServerLogger`

    - #### invalidHostForConnector$str

          protected String invalidHostForConnector$str()

    - #### noQueueOnTopic

          public final void noQueueOnTopic(String queueName,
                                           String name)

      Specified by:
        `noQueueOnTopic` in interface `ActiveMQJMSServerLogger`

    - #### noQueueOnTopic$str

          protected String noQueueOnTopic$str()

    - #### recoveryConnectFailed

          public final void recoveryConnectFailed(String s)

      Specified by:
        `recoveryConnectFailed` in interface `ActiveMQJMSServerLogger`

    - #### recoveryConnectFailed$str

          protected String recoveryConnectFailed$str()

    - #### bindingsUnbindError

          public final void bindingsUnbindError(Exception e,
                                                String key)

      Specified by:
        `bindingsUnbindError` in interface `ActiveMQJMSServerLogger`

    - #### bindingsUnbindError$str

          protected String bindingsUnbindError$str()

    - #### jmsServerError

          public final void jmsServerError(Exception e)

      Specified by:
        `jmsServerError` in interface `ActiveMQJMSServerLogger`

    - #### jmsServerError$str

          protected String jmsServerError$str()

    - #### xaRecoverError

          public final void xaRecoverError(Exception e)

      Specified by:
        `xaRecoverError` in interface `ActiveMQJMSServerLogger`

    - #### xaRecoverError$str

          protected String xaRecoverError$str()

    - #### xaRecoverConnectionError

          public final void xaRecoverConnectionError(Exception e,
                                                     ClientSessionFactory csf)

      Specified by:
        `xaRecoverConnectionError` in interface `ActiveMQJMSServerLogger`

    - #### xaRecoverConnectionError$str

          protected String xaRecoverConnectionError$str()

    - #### xaRecoveryError

          public final void xaRecoveryError(Exception e)

      Specified by:
        `xaRecoveryError` in interface `ActiveMQJMSServerLogger`

    - #### xaRecoveryError$str

          protected String xaRecoveryError$str()

    - #### failedToCorrectHost

          public final void failedToCorrectHost(Exception e,
                                                String name)

      Specified by:
        `failedToCorrectHost` in interface `ActiveMQJMSServerLogger`

    - #### failedToCorrectHost$str

          protected String failedToCorrectHost$str()

    - #### failedToSendNotification

          public final void failedToSendNotification(String notification)

      Specified by:
        `failedToSendNotification` in interface `ActiveMQJMSServerLogger`

    - #### failedToSendNotification$str

          protected String failedToSendNotification$str()

    - #### failedToDeactivateServer

          public final void failedToDeactivateServer(Exception e)

      Specified by:
        `failedToDeactivateServer` in interface `ActiveMQJMSServerLogger`

    - #### failedToDeactivateServer$str

          protected String failedToDeactivateServer$str()

    - #### serverRunningCachedCommand

          public final void serverRunningCachedCommand(Runnable run)

      Specified by:
        `serverRunningCachedCommand` in interface `ActiveMQJMSServerLogger`

    - #### serverRunningCachedCommand$str

          protected String serverRunningCachedCommand$str()

    - #### jmsConfigMissingKey

          public final void jmsConfigMissingKey(Node e)

      Specified by:
        `jmsConfigMissingKey` in interface `ActiveMQJMSServerLogger`

    - #### jmsConfigMissingKey$str

          protected String jmsConfigMissingKey$str()

    - #### jmsDeployerStartError

          public final void jmsDeployerStartError(Exception e)

      Specified by:
        `jmsDeployerStartError` in interface `ActiveMQJMSServerLogger`

    - #### jmsDeployerStartError$str

          protected String jmsDeployerStartError$str()

Copyright © 2021 The Apache Software Foundation. All rights reserved.